/// <reference types="react" />
import BaseComponent from './base-components';
import { BaseChartsProp } from './base-charts/base';
interface ScatterChartsProp extends BaseChartsProp {
    seriesData: any;
}
declare class ScatterCharts extends BaseComponent<ScatterChartsProp> {
    constructor(props: ScatterChartsProp);
    componentWillMount(): void;
    setSeriesDataFunc(): any;
    render(): JSX.Element;
}
export default ScatterCharts;
